<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>myBigNumber</title>
</head>

<body>
</body>
<script>
    // Tách chuỗi
    // let stn1 = '1324';
    // let s1 = stn1.split('');
    // console.log(s1);
    // let stn2 = '786';
    // let s2 = stn2.split('');
    // console.log(s2);

    // chuyển chuỗi thành số
    // let arr1 = [];
    // for (let i = 0; i < s1.length; i++) {
    //     let s = Number(s1[i]);
    //     arr1.push(s);
    // }
    // console.log(arr1);
    // let arr2 = [];
    // for (let i = 0; i < s2.length; i++) {
    //     let s = Number(s2[i]);
    //     arr2.push(s);
    // }
    // console.log(arr2);

    // Sắp xếp mảng tăng dần

    // let sort1 = arr1.sort();
    // console.log(sort1);
    // let sort2 = arr2.sort();
    // console.log(sort2);
    
    // // Tìm số lớn nhất trong mảng
    // let biggestNumstn1 = Math.max(...arr1);
    // console.log("Số lớn nhất trong mảng là" + ' ' + biggestNumstn1);
    // let biggestNumstn2 = Math.max(...arr2);
    // console.log("Số lớn nhất trong mảng là" + ' ' + biggestNumstn2);

    // // Cộng số lớn nhất
    // let one = biggestNumstn1 + biggestNumstn2;
    // console.log('Tổng 2 số lớn nhất là' + ' ' + one);

    // Tạo hàm
    function stringSum(stn1, stn2) {
        // duyệt từng chuỗi lấy ra từng kí tự
        let s1 = stn1.split('');
        let s2 = stn2.split('');

        // chuyển chuỗi thành số
        let arr1 = [];
        for (let i = 0; i < s1.length; i++) {
            let s = Number(s1[i]);
            arr1.push(s);
        }
        let arr2 = [];
        for (let i = 0; i < s2.length; i++) {
            let s = Number(s2[i]);
            arr2.push(s);
        }

        // Sắp xếp mảng
        let sort1 = arr1.sort();
        let sort2 = arr2.sort();

        // Tìm số lớn nhất trong mảng
        let biggestNumstn1 = Math.max(...arr1);
        let biggestNumstn2 = Math.max(...arr2);

        // Cộng 2 số lớn nhất
        let one = biggestNumstn1 + biggestNumstn2;
        console.log('Tổng 2 số lớn nhất trong 2 chuỗi là' + ' ' + one);
    }
    
    
    let stn1 = '5271';
    let stn2 = '2715';
    console.log('Chuỗi số thứ nhất:' + ' ' + stn1,'Chuỗi số thứ nhất:' + ' ' + stn2)
    stringNumber(stn1, stn2);
</script>

</html>
